import { Component, Host, h } from '@stencil/core';
export class TeliaFieldAssistiveText {
  constructor() {
    /** Tracking id is used to identify and count Component usage */
    this.dataTrackingId = 'telia-field-assistive-text';
  }
  render() {
    return (h(Host, null,
      h("telia-vst", { dataTrackingId: this.dataTrackingId }),
      h("slot", null)));
  }
  static get is() { return "telia-field-assistive-text"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["telia-field-assistive-text.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["telia-field-assistive-text.css"]
  }; }
}
